> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://tester.army/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://tester.army/_mcp/server.

# Confirm a project mobile app upload

POST https://tester.army/api/v1/projects/{projectId}/mobile/upload/confirm
Content-Type: application/json

Validate a completed temporary upload and promote it into project storage.

Reference: https://tester.army/docs/api-reference/tester-army-api/projects/confirm-a-project-mobile-app-upload

## Authentication

- `Authorization` header (bearer token, required) — API key authentication using Bearer token format

## Request

### Path parameters

- `projectId` (string, required) — Project ID

### Body (application/json)

- `storageKey` (string, required)
- `filename` (string, required)
- `fileSize` (integer, required)
- `removeAfter` (integer, optional)

## Response

### 201

Mobile app uploaded successfully

- `app` (object, required)
  - `id` (string, required)
  - `platform` (enum, required)
    - Allowed values: `ios`, `android`
  - `filename` (string, required)
  - `bundleId` (string, required, nullable)
  - `appVersion` (string, required, nullable)
  - `buildVersion` (string, required, nullable)
  - `fileSize` (double, required)
  - `source` (enum, required)
    - Allowed values: `manual_upload`, `group_webhook_artifact`, `api_upload`
  - `expiresAt` (datetime, required, nullable)
  - `removeAfter` (integer, required, nullable)
  - `createdAt` (datetime, required)

## Examples

**Request**

```json
{
  "storageKey": "string",
  "filename": "string",
  "fileSize": 1
}
```

**Response**

```json
{
  "app": {
    "id": "string",
    "platform": "ios",
    "filename": "string",
    "bundleId": "string",
    "appVersion": "string",
    "buildVersion": "string",
    "fileSize": 1.1,
    "source": "manual_upload",
    "expiresAt": "2024-01-15T09:30:00Z",
    "removeAfter": 1,
    "createdAt": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://tester.army/api/v1/projects/projectId/mobile/upload/confirm"

payload = {
    "storageKey": "string",
    "filename": "string",
    "fileSize": 1
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/api/v1/projects/projectId/mobile/upload/confirm';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"storageKey":"string","filename":"string","fileSize":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/api/v1/projects/projectId/mobile/upload/confirm"

	payload := strings.NewReader("{\n  \"storageKey\": \"string\",\n  \"filename\": \"string\",\n  \"fileSize\": 1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/api/v1/projects/projectId/mobile/upload/confirm")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"storageKey\": \"string\",\n  \"filename\": \"string\",\n  \"fileSize\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tester.army/api/v1/projects/projectId/mobile/upload/confirm")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"storageKey\": \"string\",\n  \"filename\": \"string\",\n  \"fileSize\": 1\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tester.army/api/v1/projects/projectId/mobile/upload/confirm', [
  'body' => '{
  "storageKey": "string",
  "filename": "string",
  "fileSize": 1
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/api/v1/projects/projectId/mobile/upload/confirm");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"storageKey\": \"string\",\n  \"filename\": \"string\",\n  \"fileSize\": 1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "storageKey": "string",
  "filename": "string",
  "fileSize": 1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/api/v1/projects/projectId/mobile/upload/confirm")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```